Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356290 - Subscriptions validation will always report insufficient entitlements when using an SMA with zero subs.
Summary: Subscriptions validation will always report insufficient entitlements when us...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-server
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jesus M. Rodriguez
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 21:47 UTC by Erik Nelson
Modified: 2017-11-06 15:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-06 15:50:18 UTC


Attachments (Terms of Use)
Arguments submitted to compare (deleted)
2016-07-13 21:47 UTC, Erik Nelson
no flags Details

Description Erik Nelson 2016-07-13 21:47:10 UTC
Created attachment 1179464 [details]
Arguments submitted to compare

Description of problem:
Subscription validation logic will always report a warning when using an SMA that starts with 0 subscriptions, even if you add enough to cover the deployment. Issue is related to https://github.com/fusor/fusor/blob/master/server/app/lib/fusor/subscriptions/subscription_validator.rb#L121, we do not get any entitlements back from the customer portal, so the product_ids end up incorrect.

See attachment for log of rails console session, should arguments passed to compare method.

How reproducible:
Every time.

Steps to Reproduce:
1. Do a connected deployment (must not have a previously uploaded manifest).
2. Choose SMA with 0 subscriptions.
3. Add sufficient subscriptions to cover the deployment (ex: 2RHCI to cover just RHEV)
4. Progress to subscriptions review

Actual results:
Warning appears complaining about insufficient entitlements.

Expected results:
No warning should appear.

Additional info:

Comment 1 Jesus M. Rodriguez 2016-07-15 17:25:42 UTC
https://github.com/fusor/fusor/pull/1050


Note You need to log in before you can comment on or make changes to this bug.